import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { map } from 'rxjs';
import { apiTemp } from 'src/environments/environment';

@Injectable({
  providedIn: 'root'
})
export class ActionsServiceService {

  constructor(private http: HttpClient) {}

  getLastActions(id: string, line: number){
    return this.getQuery(`get-last-actions/${id}/${line}`).pipe(map((data: any) => data));
  }

  getUserActions(id: string, idUser: string, line: number){
    return this.getQuery(`get-user-actions/${id}/${idUser}/${line}`).pipe(map((data: any) => data));
  }

  getQuery(query: string){
    const JWT = `Bearer ${localStorage.getItem('token')}`;
    const URL = `${apiTemp}${query}`;
    return this.http.get(URL, {
      headers: new HttpHeaders({
        Authorization: JWT
      })
    });
  }
}
